#!/bin/bash

opcode=204
sn=$1

chmod_ns(){
	nvme node-debug -c 0x53  -o 31 -f 0xfa -s 0 -n $sn
	sleep 1
}
clear_fbb(){
	echo "*********clear FBB**************"
	nvme node-debug -c 0x53  -o $opcode -f 0 -s 0x000200 -n $sn
	sleep 1
	nvme node-debug -c 0x53  -o $opcode -f 0 -s 0x8000200 -n $sn
	sleep 1
	nvme node-debug -c 0x53  -o $opcode -f 0 -s 0x10000200 -n $sn
	sleep 1
	nvme node-debug -c 0x53  -o $opcode -f 0 -s 0x18000200 -n $sn
	sleep 1

}

clear_gbb(){
	echo "*********clear GBB**************"
	nvme node-debug -c 0x53  -o $opcode -f 0 -s 0x400300 -n $sn
	sleep 1
	nvme node-debug -c 0x53  -o $opcode -f 0 -s 0x8400300 -n $sn
	sleep 1
	nvme node-debug -c 0x53  -o $opcode -f 0 -s 0x10400300 -n $sn
	sleep 1
	nvme node-debug -c 0x53  -o $opcode -f 0 -s 0x18400300 -n $sn
	sleep 1
}

clear_pe(){
	echo "*********clear PE**************"
	nvme node-debug -c 0x53  -o $opcode -f 0 -s 0x800300 -n $sn
	sleep 1
	nvme node-debug -c 0x53  -o $opcode -f 0 -s 0x8800300 -n $sn
	sleep 1
	nvme node-debug -c 0x53  -o $opcode -f 0 -s 0x10800300 -n $sn
	sleep 1
	nvme node-debug -c 0x53  -o $opcode -f 0 -s 0x18800300 -n $sn
	sleep 1
}

clear_bist(){
echo "*********clear bist**************"
	nvme node-debug -c 0x53  -o $opcode -f 0 -s 0x000300 -n $sn
	sleep 1
	nvme node-debug -c 0x53  -o $opcode -f 0 -s 0x8000300 -n $sn
	sleep 1
	nvme node-debug -c 0x53  -o $opcode -f 0 -s 0x10000300 -n $sn
	sleep 1
	nvme node-debug -c 0x53  -o $opcode -f 0 -s 0x18000300 -n $sn
	sleep 1
}
################MAIN#################

chmod_ns
clear_fbb
clear_gbb
#clear_pe
clear_bist
